| CMSIS-Driver Version 2.02 Peripheral Interface for Middleware and Application Code

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
SPI Events
SPI Interface

The SPI driver generates call back events that are notified via the function ARM_SPI_SignalEvent. More...

## Macros

#define | ARM_SPI_EVENT_TRANSFER_COMPLETE (1UL << 0)
| Data Transfer completed.
#define | ARM_SPI_EVENT_DATA_LOST (1UL << 1)
| Data lost: Receive overflow / Transmit underflow.
#define | ARM_SPI_EVENT_MODE_FAULT (1UL << 2)
| Master Mode Fault (SS deactivated when Master)

## Description

The SPI driver generates call back events that are notified via the function ARM_SPI_SignalEvent.

This section provides the event values for the ARM_SPI_SignalEvent callback function.

The following call back notification events are generated:

## Macro Definition Documentation

#define ARM_SPI_EVENT_DATA_LOST (1UL << 1)

Data lost: Receive overflow / Transmit underflow.

#define ARM_SPI_EVENT_MODE_FAULT (1UL << 2)

Master Mode Fault (SS deactivated when Master)

#define ARM_SPI_EVENT_TRANSFER_COMPLETE (1UL << 0)

Data Transfer completed.